Package: liblwgeom-2.1.2,liblwgeom-2.1.3
Version: liblwgeom-2.1.2/2.1.3+dfsg-1
Version: liblwgeom-2.1.3/2.1.3+dfsg-2
Severity: serious
User: trei...@debian.org
Usertags: edos-file-overwrite

Date: 2014-05-23
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


Selecting previously unselected package libgeos-3.4.2.
(Reading database ... 10936 files and directories currently installed.)
Preparing to unpack .../libgeos-3.4.2_3.4.2-5_amd64.deb ...
Unpacking libgeos-3.4.2 (3.4.2-5) ...
Selecting previously unselected package libgeos-c1.
Preparing to unpack .../libgeos-c1_3.4.2-5_amd64.deb ...
Unpacking libgeos-c1 (3.4.2-5) ...
Selecting previously unselected package proj-data.
Preparing to unpack .../proj-data_4.8.0-5_amd64.deb ...
Unpacking proj-data (4.8.0-5) ...
Selecting previously unselected package libproj0.
Preparing to unpack .../libproj0_4.8.0-5_amd64.deb ...
Unpacking libproj0 (4.8.0-5) ...
Selecting previously unselected package libjson0:amd64.
Preparing to unpack .../libjson0_0.11-4_amd64.deb ...
Unpacking libjson0:amd64 (0.11-4) ...
Selecting previously unselected package liblwgeom-2.1.2.
Preparing to unpack .../liblwgeom-2.1.2_2.1.3+dfsg-1_amd64.deb ...
Unpacking liblwgeom-2.1.2 (2.1.3+dfsg-1) ...
Selecting previously unselected package liblwgeom-2.1.3.
Preparing to unpack .../liblwgeom-2.1.3_2.1.3+dfsg-2_amd64.deb ...
Unpacking liblwgeom-2.1.3 (2.1.3+dfsg-2) ...
dpkg: error processing archive 
/var/cache/apt/archives/liblwgeom-2.1.3_2.1.3+dfsg-2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/liblwgeom-2.1.3.so', which is also in package 
liblwgeom-2.1.2 2.1.3+dfsg-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/liblwgeom-2.1.3_2.1.3+dfsg-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/lib/liblwgeom-2.1.3.so

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to